/**************************************************************************/
/*                                                                        */
/*            em6502 - An X Based 6502 Emulator & Teaching Aid            */
/*            ------------------------------------------------            */
/*              (c) Neil Pollard, University of Bristol 1994              */
/*                                                                        */
/*            Please read the file README for more information            */
/*                                                                        */
/**************************************************************************/
/* symbolic.h */

#define ADC strcpy(line1,"A+(M)+C -> A"); strcpy(line2,"carry -> C");
#define AND strcpy(line1,"A&(M) -> A"); strcpy(line2,"");
#define ASL strcpy(line1,"(M) << 1 "); strcpy(line2,"M7 -> C");
#define BCC strcpy(line1,"branch if C=0"); strcpy(line2,"");
#define BCS strcpy(line1,"branch if C=1"); strcpy(line2,"");
#define BEQ strcpy(line1,"branch if Z=1"); strcpy(line2,"");
#define BIT strcpy(line1,"!(A&(M)) -> Z"); strcpy(line2,"M6->V, M7->N"); 
#define BMI strcpy(line1,"branch if N=1"); strcpy(line2,"");
#define BNE strcpy(line1,"branch if Z=0"); strcpy(line2,"");
#define BPL strcpy(line1,"branch if N=0"); strcpy(line2,"");
#define BRK strcpy(line1,"Push PC+2"); strcpy(line2,"Push P");
#define BVC strcpy(line1,"branch if V=0"); strcpy(line2,"");
#define BVS strcpy(line1,"branch if V=1"); strcpy(line2,"");
#define CLC strcpy(line1,"0 -> C"); strcpy(line2,"");
#define CLD strcpy(line1,"0 -> D"); strcpy(line2,"");
#define CLI strcpy(line1,"0 -> I"); strcpy(line2,"");
#define CLV strcpy(line1,"0 -> V"); strcpy(line2,"");
#define CMP strcpy(line1,"(M) - A"); strcpy(line2,"set flags");
#define CPX strcpy(line1,"(M) - X"); strcpy(line2,"set flags");
#define CPY strcpy(line1,"(M) - Y"); strcpy(line2,"set flags");
#define DEC strcpy(line1,"(M)-1 -> M"); strcpy(line2,"");
#define DEX strcpy(line1,"X-1 -> X"); strcpy(line2,"");
#define DEY strcpy(line1,"Y-1 -> Y"); strcpy(line2,"");
#define EOR strcpy(line1,"A EOR(M) -> A"); strcpy(line2,"");
#define INC strcpy(line1,"(M)+1 -> M"); strcpy(line2,"");
#define INX strcpy(line1,"X+1 -> X"); strcpy(line2,"");
#define INY strcpy(line1,"Y+1 -> Y"); strcpy(line2,"");
#define JMP strcpy(line1,"Addr -> PC"); strcpy(line2,"");
#define JSR strcpy(line1,"Push PC+2"); strcpy(line2,"Addr -> PC");
#define LDA strcpy(line1,"(M) -> A"); strcpy(line2,"");
#define LDX strcpy(line1,"(M) -> X"); strcpy(line2,"");
#define LDY strcpy(line1,"(M) -> Y"); strcpy(line2,"");
#define LSR strcpy(line1,"(M) >> 1"); strcpy(line2,"M0 -> C");
#define NOP strcpy(line1,""); strcpy(line2,"");
#define ORA strcpy(line1,"A OR (M) -> A"); strcpy(line2,"");
#define PHA strcpy(line1,"Push A"); strcpy(line2,"");
#define PHP strcpy(line1,"Push P (Flags)"); strcpy(line2,"");
#define PLA strcpy(line1,"Pop A"); strcpy(line2,"");
#define PLP strcpy(line1,"Pop P (Flags)"); strcpy(line2,"");
#define ROL strcpy(line1,"(M) << 1"); strcpy(line2,"C->M0, M7->C");
#define ROR strcpy(line1,"(M) >> 1"); strcpy(line2,"C->M7, M0->C");
#define RTI strcpy(line1,"Pop PC"); strcpy(line2,"Pop P (Flags)");
#define RTS strcpy(line1,"Pop PC"); strcpy(line2,"PC+1 -> PC");
#define SBC strcpy(line1,"A-(M)-C -> A"); strcpy(line2,"!Borrow -> C");
#define SEC strcpy(line1,"1 -> C"); strcpy(line2,"");
#define SED strcpy(line1,"1 -> D"); strcpy(line2,"");
#define SEI strcpy(line1,"1 -> I"); strcpy(line2,"");
#define STA strcpy(line1,"A -> M"); strcpy(line2,"");
#define STX strcpy(line1,"X -> M"); strcpy(line2,"");
#define STY strcpy(line1,"Y -> M"); strcpy(line2,"");
#define TAX strcpy(line1,"A -> X"); strcpy(line2,"");
#define TAY strcpy(line1,"A -> Y"); strcpy(line2,"");
#define TSX strcpy(line1,"S -> X"); strcpy(line2,"");
#define TXA strcpy(line1,"X -> A"); strcpy(line2,"");
#define TXS strcpy(line1,"X -> S"); strcpy(line2,"");
#define TYA strcpy(line1,"Y -> A"); strcpy(line2,"");
#define UNK strcpy(line1,"UNKNOWN"); strcpy(line2,"OPCODE"); 
